package com.saye.hrs.model;

import java.util.ArrayList;
import java.util.HashMap;

public class ResourceInfo {

	private String id;
	private String sysid;
	private String title;	
	private String groupCode;
	private String spliceCode;
	private String typeflag;
	private String type;
	private boolean disabled;
	private String sort;
	private ArrayList<ResourceInfo> children;
	private HashMap<Object, Object> attributes;
	private Object attributes1;
	
	
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public boolean isDisabled() {
		return disabled;
	}

	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getTypeflag() {
		return typeflag;
	}

	public void setTypeflag(String typeflag) {
		this.typeflag = typeflag;
	}

	public String getGroupCode() {
		return groupCode;
	}

	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}

	public String getSpliceCode() {
		return spliceCode;
	}

	public void setSpliceCode(String spliceCode) {
		this.spliceCode = spliceCode;
	}

	public Object getAttributes1() {
		return attributes1;
	}

	public void setAttributes1(Object attributes1) {
		this.attributes1 = attributes1;
	}

	public ResourceInfo(){
		children = new ArrayList<ResourceInfo>();
	}

	public HashMap<Object, Object> getAttributes() {
		return attributes;
	}

	public void setAttributes(HashMap<Object, Object> hashMap) {
		this.attributes = hashMap;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSysid() {
		return sysid;
	}

	public void setSysid(String sysid) {
		this.sysid = sysid;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public ArrayList<ResourceInfo> getChildren() {
		return children;
	}

	public void setChildren(ArrayList<ResourceInfo> children) {
		this.children = children;
	}
	
}
